# -*- coding: utf-8 -*-

# mapWOC
#
# Description: HC Data Type.
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import ConfigParser

class HC(object):
    """Bundles information about a startable HoneyClient."""

    def __init__(self, io=None):
        """Read information about a honeyclient from a keyfile."""

        if io is not None:
            self.__from_io(io)
        else:
            self.name = None
            self.description = None
            self.hcsid = None
            self.active_browser = None
            self.installed_software = []
            self.os = None
        self.on_nodes = []


    def __from_io(self, io):
        """Fills fields from an object that implements readline (e.g. file)."""

        config = ConfigParser.RawConfigParser()
        config.read(io)
        name = config.sections()[0]
        # TODO reorganize the .config files, the check for control shouldnt
        #      be here.
        sidx = 0
        sections = config.sections()
        name = sections[sidx]
        while name == 'control' or name == 'network' or name == 'keyboard-shortcuts':
            sidx = sidx + 1
            name = sections[sidx]
        self.name = config.get(name, 'name')
        self.description = config.get(name, 'description')
        self.hcsid = config.get(name, 'hcsid')
        self.active_browser = config.get(name, 'active_browser')
        self.installed_software = config.get(name, 'installed_software').split(';')
        try:
            self.os = config.get(name, 'os')
        except:
            self.os = "Unknown"
