import logging
from StringIO import StringIO
import ConfigParser

from pylons import request, response, session, tmpl_context as c, url
from pylons.controllers.util import abort, redirect

import webhelpers.paginate as paginate

from mapwocgui.lib.base import BaseController, render

import mapwocgui.model.masterproxy as master

log = logging.getLogger(__name__)

class HcController(BaseController):

    def index(self):
        # Get list of all hcs.
        c.hcs = master.get_hcs()
        c.hcs = sorted(c.hcs, key=lambda hc: hc.name)
        # But paginate.
        c.paginator = paginate.Page(c.hcs,page=int(request.params.get('page', 1)),items_per_page=10,)
        # TODO Allow a query for 'all'
        return render('hc/index_hc.mako')

    def show(self, id):
        c.hcsid = id
        c.hc = master.get_hc(id)

        # TODO proper error handing
        if c.hc is None or c.hc.on_nodes is None:
           raise

        return render('hc/show_hc.mako')
