"""The base Controller API

Provides the BaseController class for subclassing.
"""
from pylons.controllers import WSGIController
from pylons.templating import render_mako as render
from pylons import session, tmpl_context as c
from pylons.i18n.translation import set_lang
from pylons.controllers.util import redirect_to, abort
from authkit.permissions import ValidAuthKitUser

from mapwocgui.model.meta import Session

import mapwocgui.model.masterproxy as master

class BaseController(WSGIController):

    # TODO need some intermediate before/after
    def __before__ (self, action, **params):
        c.messages = master.get_messages()
        if 'lang' in session:
            set_lang(session['lang'])
        
    def __call__(self, environ, start_response):
        """Invoke the Controller"""
        # WSGIController.__call__ dispatches to the Controller method
        # the request is routed to. This routing information is
        # available in environ['pylons.routes_dict']
        if not environ.get('REMOTE_USER'):
            abort(401)
        try:
            return WSGIController.__call__(self, environ, start_response)
        except ValueError: 
            redirect_to(controller='canttalkto',action='master')
        finally:
            Session.remove()
