<%inherit file="../base.mako"/>
<%def name="title()">${_(u"View a Visit")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="hc_icon" />
<%namespace file="../base.mako" import="name_link_to_node" />

<%visit_summary_title = _(u"Visit Summary") %>
<%self:box title="${visit_summary_title}">
 <table>
  <tr>
   %if c.sc.visitor_configuration.num_urls > 1:
    <td>${_(u"URLs visited")}</td>
    <td>
       %if len(c.visit.urls):
        ${", ".join([url.url for url in c.visit.urls])}
       %else:
        ${_("n/a (error)")}
       %endif
       <br>${_(u"(Fast Mode!)")}</br>
    </td>
   %else:
    <td>${_(u"URL")}</td>
    <td>
       %if len(c.visit.urls):
        ${c.visit.urls[0].url}
       %else:
        ${_("n/a (error)")}
       %endif
    </td>
   %endif
  </tr>
  <tr>
    <td>${_(u"Time")}</td> <td>${c.firstDate}</td>
  </tr>
  <tr>
    <td>${_(u"HoneyClient")}</td>
    <td>
      ${hc_icon(c.hc.hcsid)}
      ${c.hc.name}
      ${hcsid_link_to_hcsid(c.hc.hcsid)}
    </td>
  </tr>
  <tr><td>${_(u"Types Found")}</td>
      <td>
         ${", ".join([rtype.type_name for rtype in c.types_found])}
        </td></tr>
  <tr>
    <td>${_(u"Highest Severity")}</td>
    <td style="background-color:${h.severitycolor(c.highest_severity)}">${c.highest_severity}</td>
  </tr>
 </table>
</%self:box>

<%visit_details_title = _(u"Visit Details")%>
<%self:box title="${visit_details_title}">
 <h3>${_(u"Configuration")}</h3>
 <table>
  <tr><td>${_(u"Name")}</td>
    <td>${h.link_to(c.sc.name, h.url_for(controller='scan',action='view',id=c.sc.id))}</td>
  </tr>
  <tr>
    <td>${_(u"Node")}</td>
    <td>${name_link_to_node(c.visit.node)}</td>
  </tr>
  <tr>
    <td>${_(u"Active Window")}</td>
    <td>${c.sc.visitor_configuration.active_window} ${_(u"sec.")}</td>
  </tr>
  <tr>
    <td>${_(u"Fast Mode")}</td>
    <td>
      %if c.sc.visitor_configuration.num_urls > 1:
          ${_(u"with %d pages")}
      %else:
          ${_(u"No")}
      %endif
    </td>
  </tr>
 </table>

 <h3>${_(u"Findings")}</h3>
 <table>
  %for result in c.visit.results:
  <tr style="background-color:${h.resultcolor(result)}">
    <td valign="top" style="border-top-width:1px;border-top-style:solid;border-top-color:grey;">${result.result_type.type_name}</td>
    <td valign="top" style="border-top-width:1px;border-top-style:solid;border-top-color:grey;">
      ${h.link_to(result.url, h.url_for(controller='result',action='view_result',id=result.id))}
    </td>
    <td valign="top" style="border-top-width:1px;border-top-style:solid;border-top-color:grey;">${result.text}</td>
  </tr>
  %endfor
 </table>
</%self:box>

<%visit_actions_title = _(u"Actions") %>
<%self:box title="${visit_actions_title}">
%if c.visit.filepath:
     ${h.link_to(_(u"Download PCAP"),
        h.url_for(controller='result',action='send_dump', id=c.visit.id)) }
     ${h.link_to(_(u"Download Extracts"),
         h.url_for(controller='result',action='send_tarball',id=c.visit.id))}
%endif
</%self:box>
