<%inherit file="../base.mako"/>
<%def name="title()">${_(u"Scans")}</%def>

<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="name_link_to_node" />

${box_start(_(u"New Scan"))}
${h.form(h.url_for(controller='scan', action='new'))}

<h3>${_(u"General")}</h3>
<table>
  <tr><td>${_(u"Name")}</td><td>${h.text(name="name",id="name")}</td></tr>
  <tr><td>${_(u"Comment")}</td><td>${h.text(name="comment",id="comment")}</td></tr>
  <tr><td>${_(u"Description")}</td><td>${h.text(name="description",id="description")}</td></tr>
</table>

<h3>${_(u"URLs")}</h3>
${h.field(h.select('urllist',
                     id='urllist',
                     selected_values=[],
                     options=sorted(c.available_urllists, key=lambda x: x[1],
                        cmp=lambda x,y: cmp(x.lower(), y.lower())),
                     multiple=True,
                     size=10))}
<br/>

<h3>${_(u"HCs")}</h3>
<table class="mw_table" style="width:100%;">
  <tr><th>${_(u"Name")}</th>
      <th>${_(u"ID")}</th>
      <th>${_(u"Number")}</th>
      <th>${_(u"Description")}</th>
      <th>${_(u"On Node")}</th>
  </tr>
<%
c.hcs = sorted(c.hcs, key=lambda hc: hc.name)
%>
%for hc in c.hcs:
  %for node in hc.on_nodes:
    <tr><td>${hc.name}</td>
        <td>${hcsid_link_to_hcsid(hc.hcsid)}</td>
        <td>${h.select("hc" + hc.hcsid + "," + node,
                       id="hc" + hc.hcsid + "," + node,
                       selected_values=[],
                       options=[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20])}</td>
        <td>${hc.description}</td>
        <td>${name_link_to_node(node)}</td>
    </tr>
  %endfor
%endfor
</table>

<h3>${_(u"Options")}</h3>
<table>
  <tr><td>${h.checkbox(name="fastscan",id="fastscan")}${_(u"Fast Scan with")}</td>
      <td>${h.select(name='num_urls',id='num_urls',selected_values=[],options=[2,3,4,5])} ${_(u"Pages")}</td></tr>
  <tr><td>${_(u"Active  Window:")}</td><td>${h.select('active_window',id='active_window',selected_values=[120],options=[20,30,45,60,90,120,180,240,300])} ${_(u"sec.")}</td><td></td><td></td></tr>
  <tr><td><br/>${h.submit(name="button", value=_(u"Create"))}</td><td></td><td></td><td></td></tr>
</table>
${h.end_form()}
${box_end()}

