<%inherit file="../base.mako"/>
<%def name="title()">Scans</%def>

<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="cut_str" />


<%doc>
%if c.current_scan_name and c.current_scan_name != '':
${box_start(_(u"Information about current scan"))}
<table>
<tr><td>${_(u"Running since")}</td><td></td><td>${_(u"Name")}</td><td>${c.current_scan_name}</td></tr>
</table>
${box_end()}
%endif
</%doc>

${box_start(_(u"List of Scans"))}
%if len(c.scanconfigurations_paginator):
<p>${c.scanconfigurations_paginator.pager('$link_first $link_previous $first_item to $last_item of $item_count $link_next $link_last')}</p>
<table class="mw_table" style="width:100%">
  <tr><th>${_(u"Name")}</th><th>${_("Comment")}</th><th>${_(u"URL Lists")}</th><th>${_(u"# of HCs")}</th></tr>
%for sc in c.scanconfigurations_paginator:
  <tr><td>${h.link_to(sc.name, h.url_for(controller='scan',action='view',id=sc.id))}</td>
      <td>${cut_str(sc.comment, 40)}</td>
      <td>
      <%
      scul_str = []
      tot_urls = 0
      for urllist in sc.urlcollection:
          listlink = h.link_to(urllist.name, h.url_for(controller='urllist',action='view',id=urllist.id))
          scul_str.append(listlink)
          tot_urls += len(urllist.urls)
      sculs = ", ".join(scul_str)
      context.write(sculs)
      %> (${_(u"%d URLs") % tot_urls})
      %if sc.name == c.current_scan_name:
        [Running - ${h.link_to(_(u"Stop Scan"), h.url_for(controller='scan',action='stop'))}]
      %endif
      </td>
      <td style="text-align:right;">
          <%
          vn = 0
          for vs in sc.visitor_configuration.visitors:
              vn += vs.number
          %>${vn}</td>
   </tr>
%endfor
</table>
${c.scanconfigurations_paginator.pager('~2~')}
%else:
 ${_(u"No Scan Configurations yet defined.")}
%endif
${box_end()}

${box_start(_(u"New Scan"))}
${h.link_to(_(u'New Scan'), h.url_for(controller='scan', action='create'))}
${box_end()}

${box_start(_(u"Quick Single Scan"))}
${h.form(h.url_for(controller='scan', action='quickscan'), method="post")}

<table>
<tr>
  <td>${_(u"Enter URL")}</td>
  <td>${h.text(name="quickurl", id="quickurl")}</td>
</tr>
<tr>
  <td>${_(u"Select Browser System")}</td>
  <td>${h.select('vm', selected_values=[],
                 options=sorted(c.available_vms, key=lambda x: x[1],
                 cmp=lambda x,y: cmp(x.lower(), y.lower())),
                 multiple=False,
                 size=1)}
  </td>
<tr><td></td>
  <td>${h.submit(name="quickbutton",value=_(u"Start Quick Scan"))}</td></tr>
</table>
${h.form_end()}
${box_end()}

