<%inherit file="../base.mako"/>
<%def name="title()">${_(u"View Scan")}</%def>

<%def name="scan_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box" />
<%namespace file="../base.mako" import="box_end" />
<%namespace file="../base.mako" import="name_link_to_urllist" />
<%namespace file="../base.mako" import="hcsid_link_to_hcsid" />
<%namespace file="../base.mako" import="name_link_to_node" />

<%scanconfiguration_title = _(u"Scan Configuration")%>
<%self:box title = "${scanconfiguration_title}">
<h3>${_(u"General")}</h3>
<table>
  <tr><td>${_(u"Name")}</td><td>${c.scanconfig.name}</td></tr>
  <tr><td>${_(u"Comment")}</td><td>${c.scanconfig.comment}</td></tr>
  <tr><td>${_(u"Description")}</td><td>${c.scanconfig.description}</td></tr>
</table>

<h3>${_(u"URL-Lists")}</h3>
<ul>
%for urllist in c.scanconfig.urlcollection:
  <li>${name_link_to_urllist(urllist)} ${_(u" with %d URLs" % len(urllist.urls))}</li>
%endfor
</ul>

<h3>${_(u"HCs")}</h3>
<table width="100%" class="mw_table">
  <tr><th>${_(u"hcsid")}</th>
      <th>${_(u"Number")}</th>
      <th>${_(u"Description")}</th>
      <th>${_(u"On Node")}</th>
  </tr>
  %for hc in c.scanconfig.visitor_configuration.visitors:
  <tr><td>${hcsid_link_to_hcsid(hc.hcsid)}</td>
      <td>${hc.number}</td>
      <td>${c.hcs.get(hc.hcsid).description}</td>
      <td>${name_link_to_node(hc.node)}</td>
  </tr>
  %endfor
</table>

<h3>${_(u"Options")}</h3>
<table>
  %if c.scanconfig.visitor_configuration.num_urls > 1:
    <tr>
      <td>${_(u"Fast Scan:")}</td><td></td>
      <td>${_(u"%d URLs at once.") % c.scanconfig.visitor_configuration.num_urls}</td>
    </tr>
  %endif
  <tr>
    <td>${_(u"Active Window:")}</td>
    <td>${c.scanconfig.visitor_configuration.active_window} ${_(u"sec.")}</td>
  </tr>
</table>

<h3>${_(u"Actions")}</h3>
${h.link_to(_(u"Delete"), h.url_for(controller='scan', action='delete', id=c.scanconfig.id))}
${h.link_to(_(u"Start"), h.url_for(controller='scan', action='start', id=c.scanconfig.id))}
<!-- TODO Can Stop this scan only if its currently Running! -->
${h.link_to(_(u"Stop"), h.url_for(controller='scan', action='stop'))}
</%self:box>

<%scanhistory_title = _(u"Scan History")%>
<%self:box title = "${scanhistory_title}">
 %if len(c.scanconfig.scanruns):
  <table width="100%" class="mw_table">
   <tr>
    <th>${_(u"State")}</th>
    <th>${_(u"Started")}</th>
    <th>${_(u"Ended")}</th>
    <th>${_(u"Duration")}</th>
    <th>${_(u"Actions")}</th>
   </tr>
   %for sr in c.scanconfig.scanruns:
   <tr>
    <td>${sr.status}</td>
    <td>${sr.starttime}</td>
    <td>${sr.stoptime}</td>
    <td>n/a</td>
    <td>${h.link_to(_("View"), h.url_for(controller="result",action="by_scanrun",id=sr.id))}</td>
   </tr>
   %endfor
  </table>
 %else:
  ${_("This Scan Configuration has not yet been used.")}
 %endif
</%self:box>

